Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.services.information
Class ResourceURLProviderImpl

    java.lang.Object
      org.jasig.portal.container.services.information.ResourceURLProviderImpl

All Implemented Interfaces:
  org.apache.pluto.services.information.ResourceURLProvider

    public class ResourceURLProviderImpl

extends java.lang.Object
implements org.apache.pluto.services.information.ResourceURLProvider

Implementation of Apache Pluto object model.

Version:
  $Revision: 1.7.2.1 $
Author:
  Ken Weiner, kweiner@unicon.net

Field Summary
`private java.lang.String` | `base`
`private java.net.URL` | `url`

Constructor Summary
`ResourceURLProviderImpl(org.apache.pluto.om.window.PortletWindow portletWindow)`

Method Summary
`private java.lang.String` | `getBaseUrl(javax.servlet.http.HttpServletRequest request)`
`void` | `setAbsoluteURL(java.lang.String path)`
`void` | `setFullPath(java.lang.String path)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### url

    private java.net.URL url

### base

    private java.lang.String base

Constructor Detail

### ResourceURLProviderImpl

    public ResourceURLProviderImpl(org.apache.pluto.om.window.PortletWindow portletWindow)

Method Detail

### setAbsoluteURL

    public void setAbsoluteURL(java.lang.String path)

  Specified by:
    `setAbsoluteURL` in interface `org.apache.pluto.services.information.ResourceURLProvider`

### setFullPath

    public void setFullPath(java.lang.String path)

  Specified by:
    `setFullPath` in interface `org.apache.pluto.services.information.ResourceURLProvider`

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `org.apache.pluto.services.information.ResourceURLProvider`
  Overrides:
    `toString` in class `java.lang.Object`

### getBaseUrl

    private java.lang.String getBaseUrl(javax.servlet.http.HttpServletRequest request)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD